/****************************************************************************
*
*	  Module Filename:  Reactor_Time_API.cpp
*	  Module Name:      Reactor_Time_API
*	  Description:      Reactor Sub System API for returning Reactor Time
*                      
*	  Author:           Chris Gordon-Smith
*
*     Copyright (C) 2007, 2008 Chris Gordon-Smith
*     Email: See http://www.simsoup.info/
*
*     This program is free software; you can redistribute it and/or modify it
*     under the terms of the GNU General Public License as published by the
*     Free Software Foundation; either version 2 of the License, or (at your
*     option) any later version.
*
*     This program is distributed in the hope that it will be useful, but
*     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
*     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
*     for more details.
*
*     You should have received a copy of the GNU General Public License along
*     with this program; if not, write to the Free Software Foundation, Inc.,
*     59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
*     See the file Licence.txt for a copy of the GNU General Public License.
*	  Amendment History:-
*
*         Version    Date                 Update Description
*         =======    ===========          ==================
*
*
*
*
****************************************************************************/

#include    "globldef.h"
#include    "Library_Headers.h"

namespace API {
int Reactor_Time_API;}  // Exists only to make KDevelop display Reactor_Time_API in explorer

namespace DN {
#include "list.hpp"        // Special purpose - Non STL
}

//--------------  Reactor  Subsystem  --------------------------------------------------------------------------
#include  "Reactor_Time_API.h"
#include  "Reactor.h"
//--------------------------------------------------------------------------------------------------------------

int Reactor_Time_API::Get_Reactor_Time()

{
    return Reactor::Get_Reactor__Ptr()->Get_Reactor_Time();
}

